package com.manage.entity;

import com.manage.vo.User_Dept_Menu;

import java.util.List;
import java.util.Set;

public class CodeLogin {
    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    private String userName;

    private Integer roleId;

    public Integer getRoleId() {
        return roleId;
    }

    public void setRoleId(Integer roleId) {
        this.roleId = roleId;
    }
    private Integer userId;

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    private Set<String> menus;

    public Set<String> getMenus() {
        return menus;
    }

    public void setMenus(Set<String> menus) {
        this.menus = menus;
    }

    public List<User_Dept_Menu> getMenuList() {
        return menuList;
    }

    public void setMenuList(List<User_Dept_Menu> menuList) {
        this.menuList = menuList;
    }

    private List<User_Dept_Menu> menuList;


    private String deptId;

    public String getDeptId() {
        return deptId;
    }

    public void setDeptId(String deptId) {
        this.deptId = deptId;
    }
    private String remark;

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
